------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Handlers;

with Gtk.Menu_Item;
use Gtk.Menu_Item;
with Gtk.Widget;
use Gtk.Widget;
with Gtk.Button;
use Gtk.Button;
with Gtk.Toolbar;
use Gtk.Toolbar;
with Gtk.Drawing_Area;
use Gtk.Drawing_Area;


package Callbacks_Cheddar is

   package Menu_Item_Callback is new
      Gtk.Handlers.Callback (Gtk_Menu_Item_Record);

   package Widget_Handler is new
      Gtk.Handlers.Callback (Gtk_Widget_Record);

   package Button_Callback is new
      Gtk.Handlers.Callback (Gtk_Button_Record);

   package Toolbar_Callback is new
      Gtk.Handlers.Callback (Gtk_Toolbar_Record);

   package Drawing_Area_Callback is new
      Gtk.Handlers.Callback (Gtk_Drawing_Area_Record);

end Callbacks_Cheddar;
