------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Unbounded_Strings;
use  Unbounded_Strings;


package body References is


begin

   Text :=

      Unbounded_Lf

      & To_Unbounded_String("[1]    Preemptive and Non-Preemptive") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("Real Time Uni-Processor Scheduling.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("L. George, N. Rivierre and M. Spuri") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("INRIA Research Report number 2966.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("September 1996.") & Unbounded_Lf
      & Unbounded_Lf


      & To_Unbounded_String(
      "[2]    Holistic Schedulability Analysis for ") & Unbounded_Lf
      & Tab & To_Unbounded_String("Distributed Hard Real-Time Systems.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("K. Tindell and J. Clark") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("Microprocessing and Microprogramming ") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("40:117-134. 1994.") & Unbounded_Lf
      & Unbounded_Lf


      -- end of the text
      --
      & Unbounded_Lf
      & Unbounded_Lf
      & Unbounded_Lf;

end References;
